Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QHBox Class Reference

The QHBox widget provides horizontal geometry management for its children. More...

`#include <qhbox.h>`

Inherits QFrame.

Inherited by QVBox.

List of all member functions.

## Public Members

- QHBox ( QWidget * parent = 0, const char * name = 0, WFlags f = 0 )
- void setSpacing ( int space )
- bool setStretchFactor ( QWidget * w, int stretch )

## Protected Members

- QHBox ( bool horizontal, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )

## Detailed Description

The QHBox widget provides horizontal geometry management for its children.

All the horizontal box's children will be placed alongside each other and sized according to their sizeHint()s.

Use setMargin() to add space around the edge, and use setSpacing() to add space between the widgets. Use setStretchFactor() if you want the widgets to be different sizes in proportion to one another.

See also QHBoxLayout, QVBox, QGrid, Widget Appearance and Style, Layout Management and Organizers.

## Member Function Documentation

### QHBox::QHBox ( QWidget * parent = 0, const char * name = 0, WFlags f = 0 )

Constructs an hbox widget with parent parent and name name. The parent, name and widget flags, f, are passed to the QFrame constructor.

### QHBox::QHBox ( bool horizontal, QWidget * parent = 0, const char * name = 0, WFlags f = 0 )`[protected]`

Constructs a horizontal hbox if horizontal is TRUE, otherwise constructs a vertical hbox (also known as a vbox).

This constructor is provided for the QVBox class. You should never need to use it directly.

The parent, name and widget flags, f, are passed to the QFrame constructor.

### void QHBox::setSpacing ( int space )

Sets the spacing between the child widgets to space.

Examples: i18n/mywidget.cpp, listboxcombo/listboxcombo.cpp, network/ftpclient/ftpmainwindow.cpp, qdir/qdir.cpp, tabdialog/tabdialog.cpp, wizard/wizard.cpp and xform/xform.cpp.

### bool QHBox::setStretchFactor ( QWidget * w, int stretch )

Sets the stretch factor of widget w to stretch.

See also QBoxLayout::setStretchFactor().

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.